[PC-BSD Commits] r765 - in pcbsd/trunk/installcd-overlay/usr/local/pcbsd/Components: firefox k3b openoffice opera ports source

svn at pcbsd.org svn at pcbsd.org
Fri Sep 21 15:25:20 PDT 2007


Author: kris
Date: 2007-09-21 15:25:19 -0700 (Fri, 21 Sep 2007)
New Revision: 765

Modified:
   pcbsd/trunk/installcd-overlay/usr/local/pcbsd/Components/firefox/install.sh
   pcbsd/trunk/installcd-overlay/usr/local/pcbsd/Components/k3b/install.sh
   pcbsd/trunk/installcd-overlay/usr/local/pcbsd/Components/openoffice/install.sh
   pcbsd/trunk/installcd-overlay/usr/local/pcbsd/Components/opera/install.sh
   pcbsd/trunk/installcd-overlay/usr/local/pcbsd/Components/ports/install.sh
   pcbsd/trunk/installcd-overlay/usr/local/pcbsd/Components/source/install.sh
Log:

Last second commit to fix a bug when doing an upgrade on top of the same
existing PBI's and ports / source



Modified: pcbsd/trunk/installcd-overlay/usr/local/pcbsd/Components/firefox/install.sh
===================================================================
--- pcbsd/trunk/installcd-overlay/usr/local/pcbsd/Components/firefox/install.sh	2007-09-21 18:27:21 UTC (rev 764)
+++ pcbsd/trunk/installcd-overlay/usr/local/pcbsd/Components/firefox/install.sh	2007-09-21 22:25:19 UTC (rev 765)
@@ -7,9 +7,13 @@
 
 # Make our install script
 echo '#!/bin/sh
-cd /tmp/components/
-chmod 755 Firefox*
-echo "\nyes" | ./Firefox*.pbi -text
+ls /Programs/Firefox* >/dev/null 2>/dev/null
+if [ "$?" != "0" ]
+then
+  cd /tmp/components/
+  chmod 755 Firefox*
+  echo "\nyes" | ./Firefox*.pbi -text
+fi
 ' > /mnt/installComponent.sh
 
 # Run the chrooted script

Modified: pcbsd/trunk/installcd-overlay/usr/local/pcbsd/Components/k3b/install.sh
===================================================================
--- pcbsd/trunk/installcd-overlay/usr/local/pcbsd/Components/k3b/install.sh	2007-09-21 18:27:21 UTC (rev 764)
+++ pcbsd/trunk/installcd-overlay/usr/local/pcbsd/Components/k3b/install.sh	2007-09-21 22:25:19 UTC (rev 765)
@@ -7,9 +7,13 @@
 
 # Make our install script
 echo '#!/bin/sh
-cd /tmp/components/
-chmod 755 K3B*
-./K3B*.pbi -text
+ls /Programs/K3B* >/dev/null 2>/dev/null
+if [ "$?" != "0" ]
+then
+  cd /tmp/components/
+  chmod 755 K3B*
+  ./K3B*.pbi -text
+fi
 ' > /mnt/installComponent.sh
 
 # Run the chrooted script

Modified: pcbsd/trunk/installcd-overlay/usr/local/pcbsd/Components/openoffice/install.sh
===================================================================
--- pcbsd/trunk/installcd-overlay/usr/local/pcbsd/Components/openoffice/install.sh	2007-09-21 18:27:21 UTC (rev 764)
+++ pcbsd/trunk/installcd-overlay/usr/local/pcbsd/Components/openoffice/install.sh	2007-09-21 22:25:19 UTC (rev 765)
@@ -7,9 +7,13 @@
 
 # Make our install script
 echo '#!/bin/sh
-cd /tmp/components/
-chmod 755 Open*
-./OpenOffice*.pbi -text
+ls /Programs/OpenOffice* >/dev/null 2>/dev/null
+if [ "$?" != "0" ]
+then
+  cd /tmp/components/
+  chmod 755 Open*
+  ./OpenOffice*.pbi -text
+fi
 ' > /mnt/installComponent.sh
 
 # Run the chrooted script

Modified: pcbsd/trunk/installcd-overlay/usr/local/pcbsd/Components/opera/install.sh
===================================================================
--- pcbsd/trunk/installcd-overlay/usr/local/pcbsd/Components/opera/install.sh	2007-09-21 18:27:21 UTC (rev 764)
+++ pcbsd/trunk/installcd-overlay/usr/local/pcbsd/Components/opera/install.sh	2007-09-21 22:25:19 UTC (rev 765)
@@ -7,9 +7,13 @@
 
 # Make our install script
 echo '#!/bin/sh
-cd /tmp/components/
-chmod 755 Opera*
-echo "\n\n\nyes" | ./Opera*.pbi -text
+ls /Programs/Opera* >/dev/null 2>/dev/null
+if [ "$?" != "0" ]
+then
+  cd /tmp/components/
+  chmod 755 Opera*
+  echo "\n\n\nyes" | ./Opera*.pbi -text
+fi
 ' > /mnt/installComponent.sh
 
 # Run the chrooted script

Modified: pcbsd/trunk/installcd-overlay/usr/local/pcbsd/Components/ports/install.sh
===================================================================
--- pcbsd/trunk/installcd-overlay/usr/local/pcbsd/Components/ports/install.sh	2007-09-21 18:27:21 UTC (rev 764)
+++ pcbsd/trunk/installcd-overlay/usr/local/pcbsd/Components/ports/install.sh	2007-09-21 22:25:19 UTC (rev 765)
@@ -7,6 +7,7 @@
 
 # Make our install script
 echo '#!/bin/sh
+rm -rf /usr/ports
 mkdir /usr/ports
 cd /usr/ports
 tar xvjf /tmp/components/ports.tbz

Modified: pcbsd/trunk/installcd-overlay/usr/local/pcbsd/Components/source/install.sh
===================================================================
--- pcbsd/trunk/installcd-overlay/usr/local/pcbsd/Components/source/install.sh	2007-09-21 18:27:21 UTC (rev 764)
+++ pcbsd/trunk/installcd-overlay/usr/local/pcbsd/Components/source/install.sh	2007-09-21 22:25:19 UTC (rev 765)
@@ -7,6 +7,7 @@
 
 # Make our install script
 echo '#!/bin/sh
+rm -rf /usr/src
 mkdir /usr/src
 cd /usr/src
 tar xvjf /tmp/components/src.tbz



More information about the Commits mailing list